CREATE procedure [C6StagingPeriodicoImmobiliare].[RP_ST_AnEmittente] as  
begin   
 -- Log esecuzione  
 INSERT INTO LOG_ESECUZIONE_PERIODICO_IMMOBILIARE  
  (Nome, Inizio, Nota)  
 VALUES (  
  'RP_ST_AnEmittente',  
  GETDATE(),  
  'Staging Immobiliare'  
 )  
 truncate table C6StagingPeriodicoImmobiliare.RP_AnEmittente  
 insert into C6StagingPeriodicoImmobiliare.RP_AnEmittente (  
  [Emittente]  
      ,[Descrizione] )  
 select   
  [Emittente]  
     ,[Descrizione]  
    from [CONSUNI].CatalogoProdotti.dbo.AnEmittente  
 -- Log esecuzione  
 UPDATE  
  LOG_ESECUZIONE_PERIODICO_IMMOBILIARE  
 SET  
  Fine = GETDATE(),  
  Tipo = 'INSERT',  
  Righe = @@ROWCOUNT  
 WHERE  
  Nome = 'RP_ST_AnEmittente' AND  
  Inizio = (  
   SELECT  
    MAX(Inizio)  
   FROM  
    LOG_ESECUZIONE_PERIODICO_IMMOBILIARE  
   WHERE  
    Nome = 'RP_ST_AnEmittente'  
  )  
end